View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000543Ecere SDKidepublic2010-08-14 20:392013-05-19 22:15
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000543: Makefile generation: 'else if' not supported on make < 3.80
DescriptionSplit 'else if' generation in Makefiles on 2 lines (and add matching endif) at the end.

It seems to be a pretty recent addition and we don't want to trouble building on common platforms.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000355)
jerome (administrator)
2010-08-24 02:06

Added revision 19 to E:\newroot\sdk\ear\extract\Makefile
Added revision 29 to E:\newroot\sdk\ecere\Makefile
Added revision 20 to E:\newroot\sdk\ecere\Makefile.vanilla
Added revision 19 to E:\newroot\sdk\ide\Makefile
Added revision 10 to E:\newroot\sdk\compiler\bootstrap\ecc\Makefile
Added revision 10 to E:\newroot\sdk\compiler\bootstrap\ecp\Makefile
Added revision 10 to E:\newroot\sdk\compiler\bootstrap\ecs\Makefile
Added revision 8 to E:\newroot\sdk\deps\Makefile
Added revision 13 to E:\newroot\sdk\include.mk
(0000356)
redj (administrator)
2010-08-24 02:25
edited on: 2010-08-24 02:30

removed all else if... from include.mk and generated ones as well.
added TARGET_PLATFORM to select target file extensions (cross-compiling)
also cleared up the comments in include.mk
http://ecere.com/mantis/view.php?id=480 [^] -- shared revision history for include.mk

Added revision 155 to sdk/ide/src/project/Project.ec
Added revision 14 to sdk/include.mk

(0000358)
redj (administrator)
2010-08-24 03:40

define TARGET_PLATFORM only if cross-compiling
in include.mk, if TARGET_PLATFORM is not defined, define it according to platform detection

Added revision 15 to sdk/include.mk
Added revision 156 to sdk/ide/src/project/Project.ec

- Issue History
Date Modified Username Field Change
2010-08-14 20:39 jerome New Issue
2010-08-14 20:39 jerome Priority normal => immediate
2010-08-14 20:49 jerome Summary Makefile generation: else if not supported on make < 3.80 => Makefile generation: else is not supported on make < 3.80
2010-08-14 20:49 jerome Summary Makefile generation: else is not supported on make < 3.80 => Makefile generation: 'else if' not supported on make < 3.80
2010-08-24 02:06 jerome Note Added: 0000355
2010-08-24 02:24 redj Status new => assigned
2010-08-24 02:24 redj Assigned To => redj
2010-08-24 02:25 redj Status assigned => resolved
2010-08-24 02:25 redj Resolution open => fixed
2010-08-24 02:25 redj Note Added: 0000356
2010-08-24 02:30 redj Note Edited: 0000356
2010-08-24 03:40 redj Note Added: 0000358
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker